clang 10.0.0git

Classes | Namespaces | Macros | Functions
CallGraph.cpp File Reference
`#include "clang/Analysis/CallGraph.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/AST/DeclBase.h"`
`#include "clang/AST/DeclObjC.h"`
`#include "clang/AST/Expr.h"`
`#include "clang/AST/ExprObjC.h"`
`#include "clang/AST/Stmt.h"`
`#include "clang/AST/StmtVisitor.h"`
`#include "clang/Basic/IdentifierTable.h"`
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/PostOrderIterator.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/Statistic.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/Compiler.h"`
`#include "llvm/Support/DOTGraphTraits.h"`
`#include "llvm/Support/GraphWriter.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <cassert>`
`#include <memory>`
`#include <string>`
Include dependency graph for CallGraph.cpp:

Go to the source code of this file.

## Classes
struct | llvm::DOTGraphTraits< const CallGraph * >

## Namespaces
| llvm
| Specialize PointerLikeTypeTraits to allow LazyGenerationalUpdatePtr to be placed into a PointerUnion.

## Macros
#define | DEBUG_TYPE "CallGraph"

## Functions
| STATISTIC (NumObjCCallEdges, "Number of Objective-C method call edges")
| STATISTIC (NumBlockCallEdges, "Number of block call edges")

## Macro Definition Documentation

## ◆ DEBUG_TYPE

#define DEBUG_TYPE "CallGraph"

Definition at line 37 of file CallGraph.cpp.

## Function Documentation

## ◆ STATISTIC() [1/2]

STATISTIC | ( | NumObjCCallEdges | ,
|  | "Number of Objective-C method call edges" |
| ) |  |

## ◆ STATISTIC() [2/2]

STATISTIC | ( | NumBlockCallEdges | ,
|  | "Number of block call edges" |
| ) |  |